// post this to the main window at end of file (after playback as stopped)
#define WM_WA_MPEG_EOF WM_USER+2

// raw configuration
#define NCH 1							// channels
#define SAMPLERATE 44100	// sample rate
#define BPS 16						// bit per second

// ID's data types, let they be here!
typedef	enum {false=0, true} bool;
typedef	unsigned char  byte;
typedef	unsigned short word;
typedef	unsigned long  longword;
typedef	byte* Ptr;

#define ADLIB_MUS_SPEED SAMPLERATE
#define ADLIB_MUS_BYPS (ADLIB_MUS_SPEED*2) // bytes per second (16 bit)

bool SD_MusInit(void);
void SD_ShutDown(void);
void SD_LoadMusic(void *musbuffer);
int SD_GetLen(void *musbuffer);
int UpdateMusic(int pos, int size, void *buffer);
int Seek(int pos);
